org.apache.ignite.internal.util.nio

## Class GridNioFutureImpl<R>

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<R>
  - - org.apache.ignite.internal.util.nio.GridNioFutureImpl<R>

All Implemented Interfaces:
  IgniteInternalFuture<R>, GridNioFuture<R>

Direct Known Subclasses:
  GridNioEmbeddedFuture

    public class GridNioFutureImpl<R>
    extends GridFutureAdapter<R>
    implements GridNioFuture<R>

Default future implementation.

### Field Summary

Fields
`protected IgniteInClosure<IgniteException>` `ackC`

### Constructor Summary

Constructors
Constructor and Description
`GridNioFutureImpl(IgniteInClosure<IgniteException> ackC)`

### Method Summary

Methods
`IgniteInClosure<IgniteException>` `ackClosure()`
`boolean` `messageThread()`
`void` `messageThread(boolean msgThread)` Sets flag indicating that message send future was created in thread that was processing a message.
`void` `onAckReceived()` The method will be called when ack received.
`boolean` `skipRecovery()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Field Detail

#### ackC

    protected final IgniteInClosure<IgniteException> ackC

### Constructor Detail

#### GridNioFutureImpl

    public GridNioFutureImpl(IgniteInClosure<IgniteException> ackC)

Parameters:
  `ackC` - Ack closure.

### Method Detail

#### messageThread

    public void messageThread(boolean msgThread)

Sets flag indicating that message send future was created in thread that was processing a message.

Specified by:
  `messageThread` in interface `GridNioFuture<R>`
Parameters:
  `msgThread` - `True` if future was created in thread that is processing message.

#### messageThread

    public boolean messageThread()

Specified by:
  `messageThread` in interface `GridNioFuture<R>`
Returns:
  `True` if future was created in thread that was processing message.

#### skipRecovery

    public boolean skipRecovery()

Specified by:
  `skipRecovery` in interface `GridNioFuture<R>`
Returns:
  `True` if skip recovery for this operation.

#### onAckReceived

    public void onAckReceived()

The method will be called when ack received.

Specified by:
  `onAckReceived` in interface `GridNioFuture<R>`

#### ackClosure

    public IgniteInClosure<IgniteException> ackClosure()

Specified by:
  `ackClosure` in interface `GridNioFuture<R>`
Returns:
  Ack closure.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridFutureAdapter<R>`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017